@include('includes.admin.header')
@include('includes.admin.sidebar')

<script>
    $(document).ready(function(){
        $('#user-menu').addClass('active');
    });
</script>
      <!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Reset Password
            <small>From users</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">User</a></li>
            <li class="active">Reset Password</li>
        </ol>
    </section>

        <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-header with-border">
                        <h3 class="box-title">Reset Password</h3>
                    </div><!-- /.box-header -->
                    <form class="form-horizontal" id="register-form">
                        <div class="error1" style="display: none">

                        </div>
                        <div class="box-body">
                            <div class="form-group">
                                <label for="inputname3" class="col-sm-2 control-label">Current Password</label>
                                <div class="col-sm-9">
                                  <input type="password" class="form-control" name="current_password" id="current_password" placeholder="Current Password">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="inputname3" class="col-sm-2 control-label">New Password</label>
                                <div class="col-sm-9">
                                  <input type="password" class="form-control" name="new_password" id="new_password" placeholder="New Password">
                                </div>
                            </div>
                            <div class="form-group">
                              <label for="inputEmail3" class="col-sm-2 control-label">Confirm Password</label>
                              <div class="col-sm-9">
                                <input type="password" class="form-control" name="confirm_password" id="confirm_password" placeholder="Confirm Password">
                              </div>
                            </div>
                            <div class="box-footer">
                                <button type="reset" class="btn btn-default">Cancel</button>
                                <button type="button" class="btn btn-info pull-right" id="btn-submit">Update Password</button>
                            </div><!-- /.box-footer -->
                        </div>

                    </form>
                </div><!-- /.box -->


            </div><!-- /.col -->

        </div><!-- /.row -->

    </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
    $(document).ready(function(){
        $('#btn-submit').click(function(){
            var data = new Object();
            data['currentPassword'] = $('#current_password').val();
            data['newPassword'] = $('#new_password').val();
            data['confirmPassword'] = $('#confirm_password').val();
            $('#btn-submit').html('Updating Password...').attr('disabled', 'disabled');
            $.post('/api/v1/admin/reset/password', {data:data, "_token": "{{ csrf_token() }}"}, function(res){
                $('.error1').html('<div class="alert alert-success">' + res + '</div>').show();
                
                        window.location.href = '#body';
                        location.reload();
            }).fail(function(xhr) {
                $('#btn-submit').html('Update Password').removeAttr('disabled');
                var html = '';
                var res = xhr.responseJSON;
                $(res).each(function(i, value){
                        html+= '<p>' + value + '</p>';
                });
                 $('.error1').html('<div class="alert alert-danger">' + html + '</div>').show();
                
                window.location.href = '#body';
            },'json');
        });
    });
</script>
      
@include('includes.admin.footer')